Subject: RE: pg_upgrade failing for 200+ million Large Objects

From: "Tharakan, Robins" <[email-masked]>
Date: Mon, 8 Mar 2021 11:00:43 +0000

Thanks Daniel for the input / next-steps.

I see that 'master' too has this same magic constant [1] and so I expect it
to have similar restrictions, although I haven't tested this yet.

I do agree that the need then is to re-submit a patch that works with
'master'. (I am travelling the next few days but) Unless discussions go
tangential, I expect to revert with an updated patch by the end of this week
and create a commitfest entry while at it.

Reference:
1)
https://github.com/postgres/postgres/blob/master/src/bin/pg_resetwal/pg_rese
twal.c#L444

-
Robins Tharakan

> -----Original Message-----
> From: Daniel Gustafsson <[email-masked]>
> Sent: Monday, 8 March 2021 9:42 AM
> To: Tharakan, Robins <[email-masked]>
> Cc: [email-masked]
> Subject: RE: [EXTERNAL] pg_upgrade failing for 200+ million Large Objects
> 
> CAUTION: This email originated from outside of the organization. Do not
> click links or open attachments unless you can confirm the sender and
> know the content is safe.
> 
> 
> 
> > On 7 Mar 2021, at 09:43, Tharakan, Robins <[email-masked]> wrote:
> 
> > The patch (attached):
> > - Applies cleanly on REL9_6_STABLE -
> > c7a4fc3dd001646d5938687ad59ab84545d5d043
> 
> Did you target 9.6 because that's where you want to upgrade to, or is
> this not a problem on HEAD?  If it's still a problem on HEAD you should
> probably submit the patch against there.  You probably also want to add
> it to the next commit fest to make sure it's not forgotten about:
> https://commitfest.postgresql.org/33/
> 
> > I am not married to the patch (especially the argument name) but
> > ideally I'd prefer a way to get this upgrade going without a patch.
> > For now, I am unable to find any other way to upgrade a v9.5 Postgres
> > database in this scenario, facing End-of-Life.
> 
> It's obviously not my call to make in any shape or form, but this doesn't
> really seem to fall under what is generally backported into a stable
> release?
> 
> --
> Daniel Gustafsson               https://vmware.com/